import OpenSeadragon from "openseadragon";
import { createOSDAnnotator } from "@annotorious/openseadragon";

// Import essential CSS styles
import "@annotorious/openseadragon/annotorious-openseadragon.css";

// Initialize OpenSeadragon viewer
const viewer = OpenSeadragon({
  element: document.getElementById("openseadragon-viewer"),
  tileSources: {
    type: "image",
    url: "https://images.pexels.com/photos/1624496/pexels-photo-1624496.jpeg",
  },
});

// Initialize annotator
const anno = createOSDAnnotator(viewer);

// Attach listeners to handle annotation events
anno.on("createAnnotation", function (annotation) {
  console.log("created", annotation);
});

// Load annotations from a JSON file
anno.loadAnnotations("./annotations.json");
